# Uses of Class
org.eclipse.ecf.provider.comm.DisconnectEvent

Packages that use DisconnectEvent
Package
Description
org.eclipse.ecf.provider.comm
org.eclipse.ecf.provider.generic

## Uses of DisconnectEvent in org.eclipse.ecf.provider.comm

Methods in org.eclipse.ecf.provider.comm with parameters of type DisconnectEvent
Modifier and Type
Method
Description
`void`
IConnectionListener.`handleDisconnectEvent(DisconnectEvent event)`
Handle disconnect event

## Uses of DisconnectEvent in org.eclipse.ecf.provider.generic

Methods in org.eclipse.ecf.provider.generic with parameters of type DisconnectEvent
Modifier and Type
Method
Description
`protected void`
ClientSOContainer.`processDisconnect(DisconnectEvent evt)`
`protected void`
ServerSOContainer.`processDisconnect(DisconnectEvent e)`
`protected abstract void`
SOContainer.`processDisconnect(DisconnectEvent event)`